apiVersion: apiextensions.k8s.io/v1
kind: CustomResourceDefinition
metadata:
  creationTimestamp: null
  name: fileintegrities.fileintegrity.openshift.io
spec:
  group: fileintegrity.openshift.io
  names:
    kind: FileIntegrity
    listKind: FileIntegrityList
    plural: fileintegrities
    singular: fileintegrity
  scope: Namespaced
  versions:
  - name: v1alpha1
    schema:
      openAPIV3Schema:
        description: FileIntegrity is the Schema for the fileintegrities API
        properties:
          apiVersion:
            description: 'APIVersion defines the versioned schema of this representation
              of an object. Servers should convert recognized schemas to the latest
              internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#resources'
            type: string
          kind:
            description: 'Kind is a string value representing the REST resource this
              object represents. Servers may infer this from the endpoint the client
              submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#types-kinds'
            type: string
          metadata:
            type: object
          spec:
            description: FileIntegritySpec defines the desired state of FileIntegrity
            properties:
              config:
                description: FileIntegrityConfig defines the name, namespace, and
                  data key for an AIDE config to use for integrity checking.
                properties:
                  gracePeriod:
                    default: 900
                    description: Time between individual aide scans
                    type: integer
                  key:
                    description: The key that contains the actual AIDE configuration
                      in a configmap specified by Name and Namespace. Defaults to
                      aide.conf
                    type: string
                  name:
                    description: Name of a configMap that contains custom AIDE configuration.
                      A default configuration would be created if omitted.
                    type: string
                  namespace:
                    description: Namespace of a configMap that contains custom AIDE
                      configuration. A default configuration would be created if omitted.
                    type: string
                type: object
              debug:
                type: boolean
              nodeSelector:
                additionalProperties:
                  type: string
                type: object
              tolerations:
                default:
                - effect: NoSchedule
                  key: node-role.kubernetes.io/master
                  operator: Exists
                description: Specifies tolerations for custom taints. Defaults to
                  allowing scheduling on master nodes.
                items:
                  description: The pod this Toleration is attached to tolerates any
                    taint that matches the triple <key,value,effect> using the matching
                    operator <operator>.
                  properties:
                    effect:
                      description: Effect indicates the taint effect to match. Empty
                        means match all taint effects. When specified, allowed values
                        are NoSchedule, PreferNoSchedule and NoExecute.
                      type: string
                    key:
                      description: Key is the taint key that the toleration applies
                        to. Empty means match all taint keys. If the key is empty,
                        operator must be Exists; this combination means to match all
                        values and all keys.
                      type: string
                    operator:
                      description: Operator represents a key's relationship to the
                        value. Valid operators are Exists and Equal. Defaults to Equal.
                        Exists is equivalent to wildcard for value, so that a pod
                        can tolerate all taints of a particular category.
                      type: string
                    tolerationSeconds:
                      description: TolerationSeconds represents the period of time
                        the toleration (which must be of effect NoExecute, otherwise
                        this field is ignored) tolerates the taint. By default, it
                        is not set, which means tolerate the taint forever (do not
                        evict). Zero and negative values will be treated as 0 (evict
                        immediately) by the system.
                      format: int64
                      type: integer
                    value:
                      description: Value is the taint value the toleration matches
                        to. If the operator is Exists, the value should be empty,
                        otherwise just a regular string.
                      type: string
                  type: object
                type: array
            required:
            - config
            type: object
          status:
            description: FileIntegrityStatus defines the observed state of FileIntegrity
            properties:
              phase:
                type: string
            type: object
        type: object
    served: true
    storage: true
    subresources:
      status: {}
status:
  acceptedNames:
    kind: ""
    plural: ""
  conditions: null
  storedVersions: null
